
function slide(navigation_id, pad_out, pad_in, time, multiplier, leftStart, left1, left2, left3, list, link)
{	// creates the target paths
	var list_elements = navigation_id + " " + list;
	var link_elements = list_elements + " " + link;

	// initiates the timer used for the sliding animation
	var timer = 0;
	
	// creates the slide animation for all list elements 
	$(list_elements).each(function(i)
	{	// margin left = - ([width of element] + [total vertical padding of element])
		$(this).css("margin-left",leftStart);
		// updates timer
		timer = (timer*multiplier + time);
		$(this).animate({ marginLeft: left1 }, timer);
		$(this).animate({ marginLeft: left2 }, timer);
		$(this).animate({ marginLeft: left3 }, timer);
	});

	// creates the hover-slide effect for all link elements 		
	$(link_elements).each(function(i)
	{	$(this).hover(
		function()
		{	$(this).animate({ paddingLeft: pad_out }, 150);
		},
		function()
		{
			$(this).animate({ paddingLeft: pad_in }, 150);
		});
	});
}